Error editing or adding PPP



  • I get this error when editing or adding a PPP interface.

    I haven’t edited a PPP interface in a long time. Maybe this is a known issue, I did see a similar bug listed.

    “Warning: array_merge(): Argument #2 is not an array in /etc/inc/interfaces.inc on line 6664 Catchable fatal error: Argument 4 passed to Form_Select::__construct() must be of the type array, null given, called in /usr/local/www/interfaces_ppps_edit.php on line 507 and defined in /usr/local/www/classes/Form/Select.class.php on line 29 PHP ERROR: Type: 4096, File: /usr/local/www/classes/Form/Select.class.php, Line: 29, Message: Argument 4 passed to Form_Select::__construct() must be of the type array, null given, called in /usr/local/www/interfaces_ppps_edit.php on line 507 and defined”

    2.4.3-DEVELOPMENT (amd64)
    built on Tue Feb 06 17:39:35 CST 2018
    FreeBSD 11.1-RELEASE-p6


  • Netgate

    I can confirm this issue.

    Redmine ticket opened.

    https://redmine.pfsense.org/issues/8322

    Fixed in the next snapshot. Thanks for reporting.



  • Tested, all fixed. Good show Steve.


 

© Copyright 2002 - 2018 Rubicon Communications, LLC | Privacy Policy